Qore OracleSqlUtil Module Reference: OracleSqlUtil::OracleTable Class Reference

Qore OracleSqlUtil Module Reference 1.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
OracleSqlUtil::OracleTable Class Reference

represents an Oracle table More...

Inheritance diagram for OracleSqlUtil::OracleTable:
[legend]

## Public Member Functions
private bool | constraintsLinkedToIndexesImpl ()
| returns True if the database links constraints to indexes (ie dropping the constraint drops the index, etc)
private | copyImpl (AbstractTable old)
| db-specific copy actions
private | doSelectLimitOnlyUnlockedImpl (reference sql, reference args, *hash qh)
| processes a string for use in SQL select statements when there is a "limit" argument, but no "orderby" or "offset" arguments
private hash | getColumnOperatorMap ()
| returns the column operator map for this object
*string | getComment ()
| returns any table comment or NOTHING if none is known
private hash | getInsertOperatorMap ()
| returns the insert operator map for this object
string | getSchemaName ()
| returns the schema name
private hash | getSelectOptions ()
| override in subclasses to return driver-specific options
string | getSqlName ()
| returns the schema and table naem in dot notation
private *string | getSqlValueImpl (any v)
| returns a string for use in SQL queries representing the DB-specific value of the argument; returns NOTHING if the type cannot be converted to an SQL string
*string | getTablespaceName ()
| returns the data tablespace name for the table if any or NOTHING if none is known
private hash | getWhereOperatorMap ()
| returns the "where" operator map for this object
private bool | supportsTablespacesImpl ()
| returns True if the database support tablespaces
private bool | uniqueIndexCreatesConstraintImpl ()
| returns True if the database automatically creates a unique constraint when a unique index is created (ex: mysql)

## Public Attributes
const | OracleConstraintOptions
| Oracle-specific constraint options. More...
const | OracleCopMap
| column operator specializations for Oracle
const | OracleIndexOptions
| Oracle-specific index options. More...
const | OracleIopMap
| a hash of default value operator descriptions for Oracle
const | OracleOpMap
| where operator specializations for Oracle
const | OracleSelectOptions
| Oracle select options. More...
const | OracleTableCreationOptions
| Oracle table creation options.
const | OraColumnDescOptions = AbstractTable::ColumnDescOptions + OraColumnOpts
| Oracle-specific column options. More...
const | OraColumnOptions = AbstractTable::ColumnOptions + OraColumnOpts
| Oracle-specific column options. More...
const | OraTypeMap
| maps oracle type names to type descriptions
const | QoreTypeMap
| maps qore type names to an oracle type

## Detailed Description

represents an Oracle table

this is the specialization of SqlUtil::AbstractTable

## Member Data Documentation

const OracleSqlUtil::OracleTable::OracleConstraintOptions

Initial value:
= OracleIndexOptions + (
"index": Type::String,
)

Oracle-specific constraint options.

this constant extends OracleIndexOptions as returned by OracleSqlUtil::OracleTable::getConstraintOptions() with the following keys:

- `index:` adds "using index <indexname>" to the constraint creation string

const OracleSqlUtil::OracleTable::OracleIndexOptions

Initial value:
= AbstractTable::IndexOptions + (
"compute_statistics": Type::Boolean,
)

Oracle-specific index options.

this constant extends SqlUtil::AbstractTable::IndexOptions as returned by OracleSqlUtil::OracleTable::getIndexOptions() with the following keys:

- `compute_statistics:` adds "compute statistics" to index creation strings

const OracleSqlUtil::OracleTable::OracleSelectOptions

Initial value:
= AbstractTable::SelectOptions + (
"partition": Type::String,
)

Oracle select options.

This constant extends SqlUtil::AbstractTable::SelectOptions with the following options as returned by OracleSqlUtil::OracleTable::getSelectOptions():

- `partition:` the partition name to use in a query (see Partition Support in Selects)

const OracleSqlUtil::OracleTable::OraColumnDescOptions = AbstractTable::ColumnDescOptions + OraColumnOpts

Oracle-specific column options.

this constant extends SqlUtil::AbstractTable::ColumnDescOptions as returned by OracleSqlUtil::OracleTable::getColumnDescOptions() with the following keys:

- `character_semantics:` to specify that applicable character columns use character semantics in the column definition

const OracleSqlUtil::OracleTable::OraColumnOptions = AbstractTable::ColumnOptions + OraColumnOpts

Oracle-specific column options.

this constant extends SqlUtil::AbstractTable::ColumnOptions as returned by OracleSqlUtil::OracleTable::getColumnOptions() with the following keys:

- `character_semantics:` adds "char" to the column type name for applicable character columns to use character semantics for the column